Bug 1956525 - libxml2: NULL pointer dereference in valid.c in xmlValidBuildAContentModel
Summary: libxml2: NULL pointer dereference in valid.c in xmlValidBuildAContentModel
Keywords:
Status: CLOSED DUPLICATE of bug 1956522
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1956526 1956527
Blocks: 1956531
TreeView+ depends on / blocked
 
Reported: 2021-05-03 20:35 UTC by Pedro Sampaio
Modified: 2021-05-06 01:17 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-05 11:23:34 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-05-03 20:35:45 UTC
There is a NULL Pointer Dereference in libxml2 in xmlValidBuildAContentModel that can be triggered by different payload.

References:

https://gitlab.gnome.org/GNOME/libxml2/-/issues/244

Comment 1 Pedro Sampaio 2021-05-03 20:36:22 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1956526]


Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1956527]

Comment 2 Cedric Buissart 2021-05-05 11:23:34 UTC

*** This bug has been marked as a duplicate of bug 1956522 ***


Note You need to log in before you can comment on or make changes to this bug.